Subject: bug#16825: 24.3: conflicting types for `rpl_readlink' on powerpc-apple-darwin

From: Klaus Zeitler <[email-masked]>
Date: Mon, 24 Feb 2014 16:37:03 +0100

>>>>> "Paul" == Paul Eggert <[email-masked]> writes:
    Paul> 
    Paul> Just to confirm, are you running Mac OS X 10.3.9 ("Panther")?

"uname -a" says:

Darwin osxexp2 7.9.0 Darwin Kernel Version 7.9.0: Wed Mar 30 20:11:17 PST 2005; root:xnu/xnu-517.12.7.obj~1/RELEASE_PPC  Power Macintosh powerpc

    Paul> Could you please the output of gcc -E on that file? Something
    Paul> like this:
    Paul> 
    Paul> gcc -E -std=gnu99 -DHAVE_CONFIG_H -I. \
    Paul> -I/Volumes/UFS_exp2/exptools/expmake/build/gnuemacs2src/emacs-24.3/lib \
    Paul> -I../src \
    Paul> -I/Volumes/UFS_exp2/exptools/expmake/build/gnuemacs2src/emacs-24.3/src \
    Paul> -I/opt/exp/gnu/include   -g3 -O2 careadlinkat.c

here's the preprocessor output:

-- 
 -------------------------------------------------------------------
|  Klaus Zeitler              Alcatel-Lucent                        |
|  Lorenzstrasse 10           D-70435 Stuttgart, Germany            |
|  Department:                MS/E Building: 004  Office: 1/62      |
|  Telefon:                   +49 711 821 43898                     |
|  Email:                     [email-masked]      |
|                                                                   |
| Alcatel-Lucent Deutschland AG                                     |
| Sitz der Gesellschaft: Stuttgart · Amtsgericht Stuttgart HRB 4026 |
| Vorsitzender des Aufsichtsrates: Michael Oppenhoff                |
| Vorstand: Wilhelm Dresselhaus (Chairman) · Hans-Jörg Daub ·       |
|           Andreas Gehe                                            |
 -------------------------------------------------------------------
---
The most likely way for the world to be destroyed, most experts agree,
is by accident. That's where we come in; we're computer professionals.
We cause accidents.                            -- Nathaniel Borenstein